#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Net
%define		pnam	Telnet-Cisco
%include	/usr/lib/rpm/macros.perl
Summary:	Net::Telnet::Cisco Perl module
Summary(cs.UTF-8):	Modul Net::Telnet::Cisco pro Perl
Summary(da.UTF-8):	Perlmodul Net::Telnet::Cisco
Summary(de.UTF-8):	Net::Telnet::Cisco Perl Modul
Summary(es.UTF-8):	Módulo de Perl Net::Telnet::Cisco
Summary(fr.UTF-8):	Module Perl Net::Telnet::Cisco
Summary(it.UTF-8):	Modulo di Perl Net::Telnet::Cisco
Summary(ja.UTF-8):	Net::Telnet::Cisco Perl モジュール
Summary(ko.UTF-8):	Net::Telnet::Cisco 펄 모줄
Summary(nb.UTF-8):	Perlmodul Net::Telnet::Cisco
Summary(pl.UTF-8):	Moduł Perla Net::Telnet::Cisco
Summary(pt.UTF-8):	Módulo de Perl Net::Telnet::Cisco
Summary(pt_BR.UTF-8):	Módulo Perl Net::Telnet::Cisco
Summary(ru.UTF-8):	Модуль для Perl Net::Telnet::Cisco
Summary(sv.UTF-8):	Net::Telnet::Cisco Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Net::Telnet::Cisco
Summary(zh_CN.UTF-8):	Net::Telnet::Cisco Perl 模块
Name:		perl-Net-Telnet-Cisco
Version:	1.10
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a25845350be369cb8354e0ddc55708f9
URL:		http://search.cpan.org/dist/Net-Telnet-Cisco/
BuildRequires:	perl-Net-Telnet
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Telnet::Cisco - interact with TELNET port on Cisco routers.

%description -l pl.UTF-8
Net::Telnet::Cisco - wsparcie dla protokołu TELNET na urządzeniach
Cisco.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test </dev/null}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/Telnet
%dir %{perl_vendorlib}/auto/Net/Telnet
# empty autosplit.ix, but needed.
%dir %{perl_vendorlib}/auto/Net/Telnet/Cisco
%{perl_vendorlib}/auto/Net/Telnet/Cisco/autosplit.ix
%{_mandir}/man3/*
%changelog
* Sun Mar 11 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-Telnet-Cisco.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 7b149af
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b022d7c
- release 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 085fd1c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05a4ac3
- converted to UTF-8

* Sat Aug 26 2006 radek <radek@pld-linux.org> 6d1b891
- tests </dev/null

* Sun May 15 2005 undefine <undefine@pld-linux.org> 2223256
- autosplit is needed

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 742d657
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8c1c716
- massive: unfold macros in name/summary & other unifications

* Sat Jun 05 2004 radek <radek@pld-linux.org> 02534f2
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2c2c167
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 9c64248
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> cbb9c35
- license fixes and unification

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> b02be0c
- ported to new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 2c80de8
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> df39586
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> bd37a97
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 9454925
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 657f4de
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 22e0acf
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 0b505e1
- should be ready for perl-5.8.0; release++

